Subject: Re: Dose Poor Munks
From: Kieron Dunbar <[email-masked]>
Date: Wed, 02 Aug 2000 22:39:38 +0100
Newsgroups: rec.games.roguelike.nethack

Once upon a time, Lemming482 wrote thus:
> See, uh, Willy wrote this, not me!

>>rewarded: an object appears!  Yah!  Let's see what monks get!
>>
>>STING?
>>
>>WTF?
>>
>>STING?!?!?!?!?!??!?!?!
>
> Um....monks aren't supposed to use weapons either.  Fists, baby!
> (I think we need more artifact armor.  live the gloves of defence in Slash'EM,

Artefact armour would be nice, but remember that getting divine gifts is more
reliant on patience than skill (I'm not familiar enough with SLASH'EM to say
whether that's still true in that). Because of this, being able to give
yourself the perfect set of equipment through sacrificing would be IMO
inappropriate. I have had a go at making a useful, but not overpowered, glove
artefact, though.

I have written a patch to give monks a pair of artefact gauntlets of power
that don't impede spellcasting, but I haven't tried playing monks much to test
them and I haven't worked out how to make the patch program from DJGPP read
file names from within diffs. With a little luck, there should be a useable
diff file for it on the bottom anyway.

I've made them the first gift for monks (as monks, and vegetarian monks in
particular, can find increasing strength difficult), and made them lawful (so
that only dwarves and humans can get them from their original gods). One
problem is that it can make lawful Valkyries easier to play, but they're not
so easy as to lose their challenge.

> so you don't always get good weapons but are running around in the Castle with
> elvish mithril).

AFAICT, the main challenge for a monk is the difficulties caused by wearing
body armour. I haven't got enough experience with them. Anything which affects
that restriction would have to be examined very carefully for balance issues.

kwaheri, Kieron          (reverse username to reply)

diff -cr nethack-3.3.0/include/artilist.h nethack-3.3.x/include/artilist.h
*** nethack-3.3.0/include/artilist.h	Sat Dec 11 05:20:50 1999
--- nethack-3.3.x/include/artilist.h	Thu May 25 15:31:50 2000
***************
*** 135,140 ****
--- 135,146 ----
  	(SPFX_RESTR|SPFX_DFLAG2), 0, M2_UNDEAD,
  	PHYS(5,0),	DFNS(AD_BLND),	NO_CARY,	0, A_LAWFUL,	 0  ),
  
+ /* KD A glove artefact for the monks, albeit one whose special power isn't
listed here */
+ 
+ A("Gauntlets of Might", GAUNTLETS_OF_POWER,
+              SPFX_RESTR, 0, 0,
+              NO_ATTK, NO_DFNS, NO_CARY, 0, A_LAWFUL, PM_MONK),
+ 
  /*
   *	The artifacts for the quest dungeon, all self-willed.
   */
*** nethack-3.3.0/src/spell.c	Sat Dec 11 05:20:56 1999
--- nethack-3.3.x/src/spell.c	Thu May 25 21:18:02 2000
***************
*** 1054,1060 ****
  
  	if (uarmh && is_metallic(uarmh) && uarmh->otyp != HELM_OF_BRILLIANCE)
  		splcaster += uarmhbon;
! 	if (uarmg && is_metallic(uarmg)) splcaster += uarmgbon;
  	if (uarmf && is_metallic(uarmf)) splcaster += uarmfbon;
  
  	if (spellid(spell) == urole.spelspec)
--- 1054,1062 ----
  
  	if (uarmh && is_metallic(uarmh) && uarmh->otyp != HELM_OF_BRILLIANCE)
  		splcaster += uarmhbon;
! /* KD Special exemption for Gauntlets of Might */
! 	if (uarmg && is_metallic(uarmg) && uarmg->oartifact !=
ART_GAUNTLETS_OF_MIGHT)
! 	      splcaster += uarmgbon;
  	if (uarmf && is_metallic(uarmf)) splcaster += uarmfbon;
  
  	if (spellid(spell) == urole.spelspec)